Commit 899f398a authored by glucas's avatar glucas

ucarp/vip-up.sh: add informative message and comment about required softwares to run.

parent 8e74f451
......@@ -19,6 +19,10 @@
# Debian GNU/Linux: store this where you want. For example: /etc/carp/
# Required softwares: arping (debian package "iputils-arping")
# and atk6-fake_advertise6 (debian package "thc-ipv6")
IPBIN="/sbin/ip"
ARPPINGBIN="/usr/bin/arping"
FAKEADVBIN="/usr/bin/atk6-fake_advertise6"
......@@ -31,7 +35,7 @@ IFLIST=$($IPBIN -d l | grep -B2 -E "802.1Q id $VLANIDREGEX" | grep -Po "h-[a-z]+
if [ ! -x $ARPPINGBIN ] || [ ! -x $FAKEADVBIN ]; then
echo "[ERROR] $ARPPINGBIN or $FAKEADVBIN not installed or not executable!"
echo "[ERROR] $ARPPINGBIN (debian package \"iputils-arping\") or $FAKEADVBIN (debian package \"thc-ipv6\") not installed or not executable!"
exit 1
fi
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment